Assign Courier
curl --request POST \
--url https://api.apps.lute.co.in/v1/orders/{id}/assign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"courier": "<string>"
}
'import requests
url = "https://api.apps.lute.co.in/v1/orders/{id}/assign"
payload = { "courier": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({courier: '<string>'})
};
fetch('https://api.apps.lute.co.in/v1/orders/{id}/assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.apps.lute.co.in/v1/orders/{id}/assign",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'courier' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.apps.lute.co.in/v1/orders/{id}/assign"
payload := strings.NewReader("{\n \"courier\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.apps.lute.co.in/v1/orders/{id}/assign")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"courier\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.apps.lute.co.in/v1/orders/{id}/assign")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"courier\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyOrders & Shipments
Assign Courier
Book shipment with carrier API, generate AWB, and advance status to Ready to ship.
POST
/
v1
/
orders
/
{id}
/
assign
Assign Courier
curl --request POST \
--url https://api.apps.lute.co.in/v1/orders/{id}/assign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"courier": "<string>"
}
'import requests
url = "https://api.apps.lute.co.in/v1/orders/{id}/assign"
payload = { "courier": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({courier: '<string>'})
};
fetch('https://api.apps.lute.co.in/v1/orders/{id}/assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.apps.lute.co.in/v1/orders/{id}/assign",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'courier' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.apps.lute.co.in/v1/orders/{id}/assign"
payload := strings.NewReader("{\n \"courier\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.apps.lute.co.in/v1/orders/{id}/assign")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"courier\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.apps.lute.co.in/v1/orders/{id}/assign")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"courier\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyAssign Courier & Generate AWB
Invokes the appropriate courier adapter (Delhivery, Shadowfax, Xpressbees, or Ekart) to create the shipment in the carrier network, claim an AWB, and commit the status change toReady to ship.
Path Parameters
Request Body
The courier and service mode combination. Supported values:
Delhivery - SurfaceDelhivery - ExpressShadowfaxXpressbees - SurfaceXpressbees - ExpressEkart - SurfaceEkart - Express
Response Example
{
"success": true,
"data": {
"awb": "129038102931",
"carrier": "Delhivery",
"mode": "Express",
"pickupId": null,
"status": "Ready to ship",
"edd": "2026-11-25",
"labelUrl": null
},
"meta": {
"timestamp": "2026-11-22T16:30:30.000Z",
"request_id": "req_88192031"
}
}